package org.xdoclet.plugin.spring.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String SPRING_BEAN = SpringBeanTagImpl.NAME;
    public static final String SPRING_CONSTRUCTOR_ARG = SpringConstructorArgTagImpl.NAME;
    public static final String SPRING_PROPERTY = SpringPropertyTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(SpringBeanTagImpl.NAME, SpringBeanTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(SpringConstructorArgTagImpl.NAME, SpringConstructorArgTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(SpringPropertyTagImpl.NAME, SpringPropertyTagImpl.class);
    }
}
